libqxp::QXP1Header Class Reference

`#include <QXP1Header.h>`

Inheritance diagram for libqxp::QXP1Header:

## Public Member Functions

| QXP1Header ()
bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input) override
QXPDocument::Type | getType () const override
std::unique_ptr< QXPParser > | createParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter) override
unsigned | pages () const
double | pageHeight () const
double | pageWidth () const
Public Member Functions inherited from libqxp::QXPHeader
| QXPHeader (const boost::optional< QXPDocument::Type > &fileType=boost::none)
virtual | ~QXPHeader ()=default
virtual bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input)=0
virtual std::unique_ptr< QXPParser > | createParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter)=0
bool | isLittleEndian () const
bool | isBigEndian () const
unsigned | version () const
const char * | encoding () const

## Private Attributes

unsigned | m_pages
double | m_pageHeight
double | m_pageWidth

## Additional Inherited Members

Protected Attributes inherited from libqxp::QXPHeader
unsigned | m_proc
unsigned | m_version
unsigned | m_language
boost::optional< QXPDocument::Type > | m_fileType

## Constructor & Destructor Documentation

## QXP1Header()

libqxp::QXP1Header::QXP1Header | ( |  | ) |

## Member Function Documentation

## createParser()

std::unique_ptr< QXPParser > libqxp::QXP1Header::createParser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | librevenge::RVNGDrawingInterface * | painter )

override

## getType()

QXPDocument::Type libqxp::QXP1Header::getType | ( |  | ) | const

override virtual

Implements libqxp::QXPHeader.

## load()

bool libqxp::QXP1Header::load | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |

override

## pageHeight()

double libqxp::QXP1Header::pageHeight | ( |  | ) | const

inline

## pages()

unsigned libqxp::QXP1Header::pages | ( |  | ) | const

inline

## pageWidth()

double libqxp::QXP1Header::pageWidth | ( |  | ) | const

inline

## Member Data Documentation

## m_pageHeight

double libqxp::QXP1Header::m_pageHeight

private

Referenced by load(), pageHeight(), and QXP1Header().

## m_pages

unsigned libqxp::QXP1Header::m_pages

private

Referenced by load(), pages(), and QXP1Header().

## m_pageWidth

double libqxp::QXP1Header::m_pageWidth

private

Referenced by load(), pageWidth(), and QXP1Header().

The documentation for this class was generated from the following files:

- QXP1Header.h
- QXP1Header.cpp